

.admin-page-title{
     text-align: center;    
}

.admin-product-container{

     border: 2px solid rgba(66, 66, 66, 0.171);
     min-height: 65vh;
     border-radius: 5px;
     max-width: 1300px;
     margin: 3rem auto;
     background-color: var(--sub);

}

.admin-buttons{
     transform: translateY(-35px);
}



.admin-product-card{
    /*  margin: auto; */
   /*   max-width: 500px; */
     background-color: rgba(20, 20, 20, 0.863);
/*      min-height: 250px; */
     border-radius: 8px;
     padding: 1.5rem;
     display: flex;
     justify-content: center;
     align-content: center;
     border: 5px solid rgb(160, 160, 160);
     box-shadow: 0px 0px 8px rgba(0,0,0,0.45);
     overflow: hidden;
}

.admin-product-card>div:first-child{
     flex-basis: 84%;
     display: flex;
     flex-direction: column;
     gap: 5px;

}

.admin-product-card div:first-child div:first-child{
     flex-basis: 0;
     overflow-wrap: anywhere;
}

.admin-product-card div:first-child div:nth-child(4){
     flex-grow: 1;
     padding-right: 2rem;
     
}

.admin-product-card div:first-child div:nth-child(4) span{
     overflow-wrap: anywhere;


}

.admin-product-card>div:last-child{
     display: flex;
     flex-direction: column;    
  
}

@media(max-width:414px){
     .admin-buttons{
          text-align: center;
     }
     .admin-page-title{
          padding-bottom: 1.5rem;
     }
     .admin-product-card{
          height: auto!important;
     }
      
}



.admin-product-btn{
          height: 30px;
          margin-bottom: 7px;
          font-family: 'Play', sans-serif;
          font-size: 12px;
          letter-spacing: 0.5px;
          font-weight: bold;
          padding: 0 5px;
          background-color: rgb(124, 124, 124);
          color: rgb(235, 229, 229);
          border-radius: 5px;
          box-shadow: 0px 0px 2px rgba(255, 255, 255, 0.85);
}

.admin-product-btn:hover{
    
     background-color: rgb(235, 229, 229);
     color: black;
     cursor: pointer;
   }




@media(max-width:820px){
     .admin-page-title{
          padding-bottom: 1rem;
     }
     
    

}

@media(min-width:1159px){

     .admin-product-list{
          display: grid;
          grid-template-columns: 1fr 1fr;
          grid-row-gap: 1.5rem;
          grid-column-gap: 3rem;
          margin: 3rem 5rem;
          
     }
     
    

}
@media(max-width:1158px){
     .admin-product-list{
          display: flex;
          flex-direction: column;
          gap: 2rem;
          align-items: center;
          
          
      } 
      .admin-buttons{
          text-align: center;
     }
      .admin-product-card{
          
           width: 500px; 
           height: 250px;
           
       }
}

@media(max-width:1158px){
     .admin-product-list{
          display: flex;
          flex-direction: column;
          gap: 2rem;
          align-items: center;
          
          
      } 
      .admin-product-card{
          
           width: 500px; 
           height: 250px;
           
       }
}


@media(max-width:535px){

     .admin-product-card{
          
          width: 375px; 
          height: 250px;
          
      }
}




.admin-edit-add-product-card{
     margin: auto;
     max-width: 500px;
     background-color: rgba(20, 20, 20, 0.863);
     min-height: 250px;
     border-radius: 8px;
     padding: 1.5rem;
     display: flex;
     justify-content: center;
     align-content: center;
     border: 5px solid rgb(160, 160, 160);
     box-shadow: 0px 0px 8px rgba(0,0,0,0.45);
     overflow: hidden;

}

.admin-edit-add-product-card>div:first-child{
     flex-basis: 84%;
     display: flex;
     flex-direction: column;
     gap: 5px;

}

.admin-edit-add-product-card div:first-child div:first-child{
     flex-basis: 0;
     overflow-wrap: anywhere;
}

.admin-edit-add-product-card div:first-child div:nth-child(4){
     flex-grow: 1;
     padding-right: 2rem;
     
}

.admin-edit-add-product-card div:first-child div:nth-child(4) span{
     overflow-wrap: anywhere;


}

.admin-edit-add-product-card>div:last-child{
     display: flex;
     flex-direction: column;    
}